Subject: Re: bug#24353: 25.1.1: looking-back wrong info

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 3 Sep 2016 14:24:59 -0400

On 2016-09-03 14:10, Drew Adams wrote:

> When you first wrote your code, presumably you consulted
> the doc string.  The problem, if you did read the doc,
> is that the "general recommendation" there, at the very
> end, SAYS NOTHING about LIMIT.

Maybe? Or maybe I knew looking-at and used eldoc to get the signature. I can't recall.

> …
> NOTHING HAS CHANGED in this function, apart from a minor
> doc change and addition of `advertised-calling-convention'.

Right.  And the addition of the advertised-calling-convention caused me, and perhaps others, to revisit existing code that did not include a limit.

So it was a neat addition, since the misleading doc string, or my own carelessness, caused me to make mistakes in the past. Fortunately, these mistakes are now fixed, because I got byte-compilation warnings.  Very convenient.

Of course, upgrading the docstring could still be a good idea; but I don't make the mistake anymore, since when I write new calls to this function eldoc asks me to add the LIMIT argument, so mostly don't care about that update.

Clément.